Query stories by target
curl --request GET \
--url https://apix.us.amity.co/api/v4/stories \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v4/stories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v4/stories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stories": [
{
"storyId": "<string>",
"data": {
"text": "<string>",
"fileId": "<string>",
"imageDisplayMode": "fit",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
}
},
"path": "<string>",
"creatorId": "<string>",
"creatorPublicId": "<string>",
"targetId": "<string>",
"targetPublicId": "<string>",
"items": [],
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"isDeleted": false,
"hasFlaggedComment": false,
"mentionedUsers": [
{
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123
}
],
"comments": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"storyTargets": [
{
"targetId": "<string>",
"targetPublicId": "<string>",
"targetUpdatedAt": "2023-11-07T05:31:56Z",
"lastStoryExpiresAt": "2023-11-07T05:31:56Z",
"lastStorySeenExpiresAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}{
"status": "error",
"code": 400301,
"message": "User xxx is not community xxx member"
}{
"status": "error",
"code": 400400,
"message": "CommunityId xxx not found"
}{
"status": "error",
"code": 500000,
"message": "Parameters Validation Error!"
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Story
Query stories by target
Query stories by target
GET
/
api
/
v4
/
stories
Query stories by target
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum string length:
900Available options:
community, user Type of data contained in the story. Only admin can query with this parameter.
Available options:
image, video Whether to include expired stories. Only admin can query with this parameter = true.
Show child attributes
Show child attributes
Response
Story Information
Story response payload
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I